﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SpreadSparkLines_WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            GrapeCity.Windows.SpreadSheet.Data.CellRange cellr = new GrapeCity.Windows.SpreadSheet.Data.CellRange(0, 0, 5, 1);
            GrapeCity.Windows.SpreadSheet.Data.CellRange cellr2 = new GrapeCity.Windows.SpreadSheet.Data.CellRange(1, 0, 1, 5);
            GrapeCity.Windows.SpreadSheet.Data.SparklineSetting sls = new GrapeCity.Windows.SpreadSheet.Data.SparklineSetting();
            sls.AxisColor = System.Windows.SystemColors.ActiveBorderColor;
            sls.LineWeight = 1;
            sls.ShowMarkers = true;
            sls.MarkersColor = Color.FromArgb(255, 255, 0, 128);
            sls.ShowFirst = true;
            sls.ShowHigh = true;
            //ex.ShowLow = true;
            sls.ShowLast = true;
            sls.ShowNegative = true;
            sls.FirstMarkerColor = Color.FromArgb(255, 163, 73, 164);
            sls.HighMarkerColor = Color.FromArgb(255, 49, 78, 111);
            sls.LastMarkerColor = Color.FromArgb(255, 0, 255, 255);
            //ex.LowMarkerColor = Color.FromArgb(255, 255, 255, 0);
            sls.NegativeColor = Color.FromArgb(255, 255, 255, 0);
            sls.MaxAxisType = GrapeCity.Windows.SpreadSheet.Data.SparklineAxisMinMax.Custom;
            sls.ManualMax = 12;
            sls.MinAxisType = GrapeCity.Windows.SpreadSheet.Data.SparklineAxisMinMax.Custom;
            sls.ManualMin = 0;
            sls.DisplayXAxis = true;


            gcSpreadSheet1.Sheets[0].Cells[0, 0].Value = 2;
            gcSpreadSheet1.Sheets[0].Cells[1, 0].Value = 5;
            gcSpreadSheet1.Sheets[0].Cells[2, 0].Value = 1;
            gcSpreadSheet1.Sheets[0].Cells[3, 0].Value = 7;
            gcSpreadSheet1.Sheets[0].Cells[4, 0].Value = 3;
            gcSpreadSheet1.Sheets[0].Cells[0, 1].Value = new DateTime(2011, 1, 11);
            gcSpreadSheet1.Sheets[0].Cells[1, 1].Value = new DateTime(2011, 1, 08);
            gcSpreadSheet1.Sheets[0].Cells[2, 1].Value = new DateTime(2011, 1, 09);
            gcSpreadSheet1.Sheets[0].Cells[3, 1].Value = new DateTime(2011, 1, 14);
            gcSpreadSheet1.Sheets[0].Cells[4, 1].Value = new DateTime(2011, 1, 20);

            gcSpreadSheet1.ActiveSheet.Cells[5, 0].ColumnSpan = 3;
            gcSpreadSheet1.ActiveSheet.Cells[5, 0].RowSpan = 4;
            gcSpreadSheet1.Sheets[0].SetSparkline(5, 0, cellr, GrapeCity.Windows.SpreadSheet.Data.DataOrientation.Vertical, GrapeCity.Windows.SpreadSheet.Data.SparklineType.Line, sls);

            gcSpreadSheet1.Invalidate();
        }
    }
}
